Skala
Stock quantity histories

Replace a stock quantity history

Completely replaces the data of an existing stock quantity history with the provided payload.

PUT
/api/stock_quantity_histories/{id}

Completely replaces the data of an existing stock quantity history with the provided payload.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

StockQuantityHistory identifier

Request Body

application/json

The updated StockQuantityHistory resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://api.skalasuite.com/api/stock_quantity_histories/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "amount": "string",
  "expectedAmount": "string",
  "committedAmount": "string",
  "missingAmount": "string",
  "valueInStock": "string",
  "location": "/entity/1",
  "stock": "/entity/1",
  "averageCost": "string",
  "day": "2019-08-24T14:15:22Z",
  "stockVariant": "/entity/1",
  "usableAmount": "string"
}
Empty
Empty
Empty